Agent Conversation Metrics
curl --request GET \
--url https://app.yampi.ai/api/v2/accounts/{account_id}/reports/conversations/ \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v2/accounts/{account_id}/reports/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v2/accounts/{account_id}/reports/conversations/"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"email": "<string>",
"thumbnail": "<string>",
"availability": "<string>",
"metric": {
"open": 123,
"unattended": 123
}
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Reports
Agent Conversation Metrics
Get conversation metrics for Agent
GET
/
api
/
v2
/
accounts
/
{account_id}
/
reports
/
conversations
/
Agent Conversation Metrics
curl --request GET \
--url https://app.yampi.ai/api/v2/accounts/{account_id}/reports/conversations/ \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v2/accounts/{account_id}/reports/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v2/accounts/{account_id}/reports/conversations/"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"email": "<string>",
"thumbnail": "<string>",
"availability": "<string>",
"metric": {
"open": 123,
"unattended": 123
}
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Query Parameters
Type of report
Available options:
agent The numeric ID of the user